Skip site navigation (1) Skip section navigation (2)

Re: Upgrade db format without older version of PostgreSQL

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Devrim GÜNDÜZ <devrim(at)gunduz(dot)org>
Cc: Kelly Jones <kelly(dot)terry(dot)jones(at)gmail(dot)com>, pgsql-general(at)postgresql(dot)org
Subject: Re: Upgrade db format without older version of PostgreSQL
Date: 2009-09-29 17:59:36
Message-ID: 20433.1254247176@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-general
Devrim =?ISO-8859-1?Q?G=DCND=DCZ?= <devrim(at)gunduz(dot)org> writes:
> On Tue, 2009-09-29 at 13:36 -0400, Tom Lane wrote:
>> You might be able to make it go by adding #define _GNU_SOURCE 1
>> in src/include/port/linux.h, and adding -fno-strict-aliasing -fwrapv
>> to CFLAGS,

> Yeah, these worked. I could build 7.2.8 on my F-11 box.

>> but yeah, trying to build it on a modern Linux system looks
>> a bit shaky.  If you do go this route, I'd recommend making sure it
>> passes its regression tests before you risk letting it touch your real
>> data.

> geometry and horology tests are failing here. regression.diffs is
> attached for reference.

Those are harmless/unsurprising.

			regards, tom lane

In response to

pgsql-general by date

Next:From: John R PierceDate: 2009-09-29 18:07:57
Subject: Re: Upgrade db format without older version of PostgreSQL
Previous:From: Tom LaneDate: 2009-09-29 17:55:11
Subject: Re: Autovacuum tables missing?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group